-- MySQL Script generated by MySQL Workbench
-- Thu Oct 14 21:01:14 2021
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS
, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS
, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE
, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

-- -----------------------------------------------------
-- Schema meteo_project_bdd_EV_AC.sql
-- -----------------------------------------------------
DROP SCHEMA IF EXISTS `meteo_project_bdd_EV_AC.sql`
;

-- -----------------------------------------------------
-- Schema meteo_project_bdd_EV_AC.sql
-- -----------------------------------------------------
CREATE SCHEMA
IF NOT EXISTS `meteo_project_bdd_EV_AC.sql` DEFAULT CHARACTER
SET utf8 ;
USE `meteo_project_bdd_EV_AC.sql`
;

-- -----------------------------------------------------
-- Table `meteo_project_bdd_EV_AC.sql`.`user`
-- -----------------------------------------------------
CREATE TABLE
IF NOT EXISTS `meteo_project_bdd_EV_AC.sql`.`user`
(
  `iduser` INT NOT NULL AUTO_INCREMENT,
  `email` VARCHAR
(70) NOT NULL,
  `pwd` VARCHAR
(70) NOT NULL,
  PRIMARY KEY
(`iduser`),
  UNIQUE INDEX `email_UNIQUE`
(`email` ASC) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `meteo_project_bdd_EV_AC.sql`.`city`
-- -----------------------------------------------------
CREATE TABLE
IF NOT EXISTS `meteo_project_bdd_EV_AC.sql`.`city`
(
  `idcity` INT NOT NULL AUTO_INCREMENT,
  `nameCity` VARCHAR
(45) NOT NULL,
  `favorite` TINYINT
(1) NULL,
  PRIMARY KEY
(`idcity`),
  UNIQUE INDEX `idcity_UNIQUE`
(`idcity` ASC) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `meteo_project_bdd_EV_AC.sql`.`history`
-- -----------------------------------------------------
CREATE TABLE
IF NOT EXISTS `meteo_project_bdd_EV_AC.sql`.`history`
(
  `idhistory` INT NOT NULL AUTO_INCREMENT,
  `time` DATETIME NOT NULL,
  `weatherDegrees` INT NOT NULL,
  `idcity` INT NOT NULL,
  `iduser` INT NOT NULL,
  PRIMARY KEY
(`idhistory`, `idcity`, `iduser`),
  INDEX `fk_history_city1_idx`
(`idcity` ASC) ,
  INDEX `fk_history_user1_idx`
(`iduser` ASC) ,
  CONSTRAINT `fk_history_city1`
    FOREIGN KEY
(`idcity`)
    REFERENCES `meteo_project_bdd_EV_AC.sql`.`city`
(`idcity`)
    ON
DELETE NO ACTION
    ON
UPDATE NO ACTION,
  CONSTRAINT `fk_history_user1`
    FOREIGN KEY
(`iduser`)
    REFERENCES `meteo_project_bdd_EV_AC.sql`.`user`
(`iduser`)
    ON
DELETE NO ACTION
    ON
UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `meteo_project_bdd_EV_AC.sql`.`userCity`
-- -----------------------------------------------------
CREATE TABLE
IF NOT EXISTS `meteo_project_bdd_EV_AC.sql`.`userCity`
(
  `iduser` INT NOT NULL,
  `idcity` INT NOT NULL,
  PRIMARY KEY
(`iduser`, `idcity`),
  INDEX `fk_user_has_city_city1_idx`
(`idcity` ASC) ,
  INDEX `fk_user_has_city_user_idx`
(`iduser` ASC) ,
  CONSTRAINT `fk_user_has_city_user`
    FOREIGN KEY
(`iduser`)
    REFERENCES `meteo_project_bdd_EV_AC.sql`.`user`
(`iduser`)
    ON
DELETE NO ACTION
    ON
UPDATE NO ACTION,
  CONSTRAINT `fk_user_has_city_city1`
    FOREIGN KEY
(`idcity`)
    REFERENCES `meteo_project_bdd_EV_AC.sql`.`city`
(`idcity`)
    ON
DELETE NO ACTION
    ON
UPDATE NO ACTION)
ENGINE = InnoDB;


SET SQL_MODE
=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS
=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS
=@OLD_UNIQUE_CHECKS;
